# Relationships Relationships ## Creates a new relationship record that does not already exist. - [POST /relationships/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/createrelationship.md): This method will auto-generate an ID and create a new relationship. If an ID is specified for the relationship, an error will be thrown. ## Execute Batch Operations - [POST /relationships/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified left_side_id - [GET /relationships/{tenantId}/leftSide/{left_side_type}/{left_side_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/listrelationshipsbyleftsideid.md): Returns a list of records with the specified left_side_id ## Returns a list of records with the specified right_side_id - [GET /relationships/{tenantId}/rightSide/{right_side_type}/{right_side_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/listrelationshipsbyrightsideid.md): Returns a list of records with the specified right_side_id ## Returns a relationship from the system by its ID. - [DELETE /relationships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/deleterelationship.md): This method will delete a relationship with the specified ID. ## Returns a relationship from the system by its ID. - [GET /relationships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/getrelationship.md): This method will look up a relationship by the specified ID and return it back. ## Partially updates a relationship with the specified ID. - [PATCH /relationships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/patchrelationship.md): This method will patch an existing relationship with the specified ID, using the HTTP PATCH specification. ## Updates a relationship with the specified ID. - [PUT /relationships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/relationships/updaterelationship.md): This method will update an existing relationship with the specified ID.